Index: trunk/client/inc/csrf-magic/csrf-magic.php
===================================================================
--- trunk/client/inc/csrf-magic/csrf-magic.php	(revision 157)
+++ trunk/client/inc/csrf-magic/csrf-magic.php	(revision 157)
@@ -0,0 +1,398 @@
+<?php
+
+/**
+ * @file
+ *
+ * csrf-magic is a PHP library that makes adding CSRF-protection to your
+ * web applications a snap. No need to modify every form or create a database
+ * of valid nonces; just include this file at the top of every
+ * web-accessible page (or even better, your common include file included
+ * in every page), and forget about it! (There are, of course, configuration
+ * options for advanced users).
+ *
+ * This library is PHP4 and PHP5 compatible.
+ */
+
+// CONFIGURATION:
+
+/**
+ * By default, when you include this file csrf-magic will automatically check
+ * and exit if the CSRF token is invalid. This will defer executing
+ * csrf_check() until you're ready.  You can also pass false as a parameter to
+ * that function, in which case the function will not exit but instead return
+ * a boolean false if the CSRF check failed. This allows for tighter integration
+ * with your system.
+ */
+$GLOBALS['csrf']['defer'] = false;
+
+/**
+ * This is the amount of seconds you wish to allow before any token becomes
+ * invalid; the default is two hours, which should be more than enough for
+ * most websites.
+ */
+$GLOBALS['csrf']['expires'] = 7200;
+
+/**
+ * Callback function to execute when there's the CSRF check fails and
+ * $fatal == true (see csrf_check). This will usually output an error message
+ * about the failure.
+ */
+$GLOBALS['csrf']['callback'] = 'csrf_callback';
+
+/**
+ * Whether or not to include our JavaScript library which also rewrites
+ * AJAX requests on this domain. Set this to the web path. This setting only works
+ * with supported JavaScript libraries in Internet Explorer; see README.txt for
+ * a list of supported libraries.
+ */
+$GLOBALS['csrf']['rewrite-js'] = false;
+
+/**
+ * A secret key used when hashing items. Please generate a random string and
+ * place it here. If you change this value, all previously generated tokens
+ * will become invalid.
+ */
+$GLOBALS['csrf']['secret'] = '';
+
+/**
+ * Set this to false to disable csrf-magic's output handler, and therefore,
+ * its rewriting capabilities. If you're serving non HTML content, you should
+ * definitely set this false.
+ */
+$GLOBALS['csrf']['rewrite'] = true;
+
+/**
+ * Whether or not to use IP addresses when binding a user to a token. This is
+ * less reliable and less secure than sessions, but is useful when you need
+ * to give facilities to anonymous users and do not wish to maintain a database
+ * of valid keys.
+ */
+$GLOBALS['csrf']['allow-ip'] = true;
+
+/**
+ * If this information is available, use the cookie by this name to determine
+ * whether or not to allow the request. This is a shortcut implementation
+ * very similar to 'key', but we randomly set the cookie ourselves.
+ */
+$GLOBALS['csrf']['cookie'] = '__csrf_cookie';
+
+/**
+ * If this information is available, set this to a unique identifier (it
+ * can be an integer or a unique username) for the current "user" of this
+ * application. The token will then be globally valid for all of that user's
+ * operations, but no one else. This requires that 'secret' be set.
+ */
+$GLOBALS['csrf']['user'] = false;
+
+/**
+ * This is an arbitrary secret value associated with the user's session. This
+ * will most probably be the contents of a cookie, as an attacker cannot easily
+ * determine this information. Warning: If the attacker knows this value, they
+ * can easily spoof a token. This is a generic implementation; sessions should
+ * work in most cases.
+ *
+ * Why would you want to use this? Lets suppose you have a squid cache for your
+ * website, and the presence of a session cookie bypasses it. Let's also say
+ * you allow anonymous users to interact with the website; submitting forms
+ * and AJAX. Previously, you didn't have any CSRF protection for anonymous users
+ * and so they never got sessions; you don't want to start using sessions either,
+ * otherwise you'll bypass the Squid cache. Setup a different cookie for CSRF
+ * tokens, and have Squid ignore that cookie for get requests, for anonymous
+ * users. (If you haven't guessed, this scheme was(?) used for MediaWiki).
+ */
+$GLOBALS['csrf']['key'] = false;
+
+/**
+ * The name of the magic CSRF token that will be placed in all forms, i.e.
+ * the contents of <input type="hidden" name="$name" value="CSRF-TOKEN" />
+ */
+$GLOBALS['csrf']['input-name'] = '__csrf_magic';
+
+/**
+ * Set this to false if your site must work inside of frame/iframe elements,
+ * but do so at your own risk: this configuration protects you against CSS
+ * overlay attacks that defeat tokens.
+ */
+$GLOBALS['csrf']['frame-breaker'] = true;
+
+/**
+ * Whether or not CSRF Magic should be allowed to start a new session in order
+ * to determine the key.
+ */
+$GLOBALS['csrf']['auto-session'] = true;
+
+/**
+ * Whether or not csrf-magic should produce XHTML style tags.
+ */
+$GLOBALS['csrf']['xhtml'] = true;
+
+// FUNCTIONS:
+
+// Don't edit this!
+$GLOBALS['csrf']['version'] = '1.0.1';
+
+/**
+ * Rewrites <form> on the fly to add CSRF tokens to them. This can also
+ * inject our JavaScript library.
+ */
+function csrf_ob_handler($buffer, $flags) {
+    // Even though the user told us to rewrite, we should do a quick heuristic
+    // to check if the page is *actually* HTML. We don't begin rewriting until
+    // we hit the first <html tag.
+    static $is_html = false;
+    if (!$is_html) {
+        // not HTML until proven otherwise
+        if (stripos($buffer, '<html') !== false) {
+            $is_html = true;
+        } else {
+            return $buffer;
+        }
+    }
+    $tokens = csrf_get_tokens();
+    $name = $GLOBALS['csrf']['input-name'];
+    $endslash = $GLOBALS['csrf']['xhtml'] ? ' /' : '';
+    $input = "\n<div><input type='hidden' name='$name' value=\"$tokens\"$endslash></div>";
+    $buffer = preg_replace('#(<form[^>]*method\s*=\s*["\']post["\'][^>]*>)#i', '$1' . $input, $buffer);
+    if ($GLOBALS['csrf']['frame-breaker']) {
+        $buffer = str_ireplace('</head>', '<script type="text/javascript">if (top != self) {top.location.href = self.location.href;}</script></head>', $buffer);
+    }
+    if ($js = $GLOBALS['csrf']['rewrite-js']) {
+        $buffer = str_ireplace(
+            '</head>',
+            '<script type="text/javascript">'.
+                'var csrfMagicToken = "'.$tokens.'";'.
+                'var csrfMagicName = "'.$name.'";</script>'.
+            '<script src="'.$js.'" type="text/javascript"></script></head>',
+            $buffer
+        );
+        $script = '<script type="text/javascript">CsrfMagic.end();</script>';
+        $buffer = str_ireplace('</body>', $script . '</body>', $buffer, $count);
+        if (!$count) {
+            $buffer .= $script;
+        }
+    }
+    return $buffer;
+}
+
+/**
+ * Checks if this is a post request, and if it is, checks if the nonce is valid.
+ * @param bool $fatal Whether or not to fatally error out if there is a problem.
+ * @return True if check passes or is not necessary, false if failure.
+ */
+function csrf_check($fatal = true) {
+    if ($_SERVER['REQUEST_METHOD'] !== 'POST') return true;
+    csrf_start();
+    $name = $GLOBALS['csrf']['input-name'];
+    $ok = false;
+    $tokens = '';
+    do {
+        if (!isset($_POST[$name])) break;
+        // we don't regenerate a token and check it because some token creation
+        // schemes are volatile.
+        $tokens = $_POST[$name];
+        if (!csrf_check_tokens($tokens)) break;
+        $ok = true;
+    } while (false);
+    if ($fatal && !$ok) {
+        $callback = $GLOBALS['csrf']['callback'];
+        if (trim($tokens, 'A..Za..z0..9:;,') !== '') $tokens = 'hidden';
+        $callback($tokens);
+        exit;
+    }
+    return $ok;
+}
+
+/**
+ * Retrieves a valid token(s) for a particular context. Tokens are separated
+ * by semicolons.
+ */
+function csrf_get_tokens() {
+    $has_cookies = !empty($_COOKIE);
+
+    // $ip implements a composite key, which is sent if the user hasn't sent
+    // any cookies. It may or may not be used, depending on whether or not
+    // the cookies "stick"
+    $secret = csrf_get_secret();
+    if (!$has_cookies && $secret) {
+        // :TODO: Harden this against proxy-spoofing attacks
+        $ip = ';ip:' . csrf_hash($_SERVER['IP_ADDRESS']);
+    } else {
+        $ip = '';
+    }
+    csrf_start();
+
+    // These are "strong" algorithms that don't require per se a secret
+    if (session_id()) return 'sid:' . csrf_hash(session_id()) . $ip;
+    if ($GLOBALS['csrf']['cookie']) {
+        $val = csrf_generate_secret();
+        setcookie($GLOBALS['csrf']['cookie'], $val);
+        return 'cookie:' . csrf_hash($val) . $ip;
+    }
+    if ($GLOBALS['csrf']['key']) return 'key:' . csrf_hash($GLOBALS['csrf']['key']) . $ip;
+    // These further algorithms require a server-side secret
+    if (!$secret) return 'invalid';
+    if ($GLOBALS['csrf']['user'] !== false) {
+        return 'user:' . csrf_hash($GLOBALS['csrf']['user']);
+    }
+    if ($GLOBALS['csrf']['allow-ip']) {
+        return ltrim($ip, ';');
+    }
+    return 'invalid';
+}
+
+/**
+ * @param $tokens is safe for HTML consumption
+ */
+function csrf_callback($tokens) {
+    header($_SERVER['SERVER_PROTOCOL'] . ' 403 Forbidden');
+    echo "<html><head><title>CSRF check failed</title></head><body>CSRF check failed. Please enable cookies.<br />Debug: ".$tokens."</body></html>
+";
+}
+
+/**
+ * Checks if a composite token is valid. Outward facing code should use this
+ * instead of csrf_check_token()
+ */
+function csrf_check_tokens($tokens) {
+    if (is_string($tokens)) $tokens = explode(';', $tokens);
+    foreach ($tokens as $token) {
+        if (csrf_check_token($token)) return true;
+    }
+    return false;
+}
+
+/**
+ * Checks if a token is valid.
+ */
+function csrf_check_token($token) {
+    if (strpos($token, ':') === false) return false;
+    list($type, $value) = explode(':', $token, 2);
+    if (strpos($value, ',') === false) return false;
+    list($x, $time) = explode(',', $token, 2);
+    if ($GLOBALS['csrf']['expires']) {
+        if (time() > $time + $GLOBALS['csrf']['expires']) return false;
+    }
+    switch ($type) {
+        case 'sid':
+            return $value === csrf_hash(session_id(), $time);
+        case 'cookie':
+            $n = $GLOBALS['csrf']['cookie'];
+            if (!$n) return false;
+            if (!isset($_COOKIE[$n])) return false;
+            return $value === csrf_hash($_COOKIE[$n], $time);
+        case 'key':
+            if (!$GLOBALS['csrf']['key']) return false;
+            return $value === csrf_hash($GLOBALS['csrf']['key'], $time);
+        // We could disable these 'weaker' checks if 'key' was set, but
+        // that doesn't make me feel good then about the cookie-based
+        // implementation.
+        case 'user':
+            if (!csrf_get_secret()) return false;
+            if ($GLOBALS['csrf']['user'] === false) return false;
+            return $value === csrf_hash($GLOBALS['csrf']['user'], $time);
+        case 'ip':
+            if (!csrf_get_secret()) return false;
+            // do not allow IP-based checks if the username is set, or if
+            // the browser sent cookies
+            if ($GLOBALS['csrf']['user'] !== false) return false;
+            if (!empty($_COOKIE)) return false;
+            if (!$GLOBALS['csrf']['allow-ip']) return false;
+            return $value === csrf_hash($_SERVER['IP_ADDRESS'], $time);
+    }
+    return false;
+}
+
+/**
+ * Sets a configuration value.
+ */
+function csrf_conf($key, $val) {
+    if (!isset($GLOBALS['csrf'][$key])) {
+        trigger_error('No such configuration ' . $key, E_USER_WARNING);
+        return;
+    }
+    $GLOBALS['csrf'][$key] = $val;
+}
+
+/**
+ * Starts a session if we're allowed to.
+ */
+function csrf_start() {
+    if ($GLOBALS['csrf']['auto-session'] && !session_id()) {
+        session_start();
+    }
+}
+
+/**
+ * Retrieves the secret, and generates one if necessary.
+ */
+function csrf_get_secret() {
+    if ($GLOBALS['csrf']['secret']) return $GLOBALS['csrf']['secret'];
+    // secret by db l.apolito
+    global $prefix,$dbi;
+    # crea campo secret nella tabella _config se non esiste		
+    $campo= mysql_query("SHOW COLUMNS FROM ".$prefix."_config LIKE 'secret' ",$dbi);
+    $esiste=mysql_num_rows($campo);
+	if ($esiste==0) {
+		$result=mysql_query("ALTER TABLE ".$prefix."_config ADD secret VARCHAR(30);",$dbi);
+	}
+
+    $res_secret =  mysql_query("SELECT * FROM ".$prefix."_config" , $dbi);
+    $row = mysql_fetch_array($res_secret);
+    $secret = $row['secret'];	
+    if (isset($secret)){ return $secret;
+
+    }else{
+	$secret = csrf_generate_secret();
+	mysql_query("UPDATE ".$prefix."_config SET secret='$secret'" , $dbi);
+	return $secret;
+    }
+	 return '';
+
+	
+    /* nel caso di registrazione del file 	 			
+    $dir = dirname(__FILE__);
+    $file = $dir . '/csrf-secret.php';
+    $secret = '';
+    if (file_exists($file)) {
+        include $file;
+        return $secret;
+    }
+    	
+    if (is_writable($dir)) {
+        $secret = csrf_generate_secret();
+        $fh = fopen($file, 'w');
+        fwrite($fh, '<?php $secret = "'.$secret.'";' . PHP_EOL);
+        fclose($fh);
+        return $secret;
+    }
+    return '';
+    */	
+}
+
+/**
+ * Generates a random string as the hash of time, microtime, and mt_rand.
+ */
+function csrf_generate_secret($len = 32) {
+    $r = '';
+    for ($i = 0; $i < 32; $i++) {
+        $r .= chr(mt_rand(0, 255));
+    }
+    $r .= time() . microtime();
+    return sha1($r);
+}
+
+/**
+ * Generates a hash/expiry double. If time isn't set it will be calculated
+ * from the current time.
+ */
+function csrf_hash($value, $time = null) {
+    if (!$time) $time = time();
+    return sha1($GLOBALS['csrf']['secret'] . $value . $time) . ',' . $time;
+}
+
+// Load user configuration
+if (function_exists('csrf_startup')) csrf_startup();
+// Initialize our handler
+if ($GLOBALS['csrf']['rewrite'])     ob_start('csrf_ob_handler');
+// Perform check
+if (!$GLOBALS['csrf']['defer'])      csrf_check();
Index: trunk/client/modules.php
===================================================================
--- trunk/client/modules.php	(revision 138)
+++ trunk/client/modules.php	(revision 157)
@@ -1,4 +1,3 @@
 <?php
-
 
 /************************************************************************/
@@ -12,5 +11,4 @@
 
 // Additional security (Union, CLike, XSS)
-
 // We want to use the function stripos,
 // but thats only available since PHP5.
@@ -92,5 +90,10 @@
 ////////////////////////
 
-include("config.php");
+@require_once("config.php");
+# verifica se effettuata la configurazione
+if(empty($dbname)) {
+    die("<html><body><div style=\"text-align:center\"><br /><br /><img src=\"modules/Elezioni/images/logo.jpg\" alt=\"Eleonline\" title=\"Eleonline\"><br /><br /><strong>Sembra che <a href='http://www.eleonline.it' title='Eleonline'>Eleonline</a> non sia stato ancora installato.<br /><br />Puoi procedere <a href='../install/index.php'>cliccando qui</a> per iniziare l'installazione</strong></div></body></html>");
+}
+
 
 
@@ -105,4 +108,14 @@
 }
 mysql_query("SET NAMES 'utf8'", $dbi);
+
+# protezione csrf ottobre 2012 - by l.apolito
+if (file_exists("inc/csrf-magic/csrf-magic.php")) {
+	include_once 'inc/csrf-magic/csrf-magic.php';
+}
+
+
+
+
+
 
 # carica i parametri di default sulla tabella
@@ -220,4 +233,5 @@
 $file=(isset($_GET['file'])) ? htmlentities($_GET['file']):"index";
 $name=(isset($_GET['name'])) ? htmlentities($_GET['name']):"Elezioni";
+$op=(isset($_GET['op'])) ? htmlentities($_GET['op']):"gruppo";
 if (!isset($_GET['op'])) $_GET['op']="gruppo";
 
Index: trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- trunk/client/modules/Elezioni/consiglieri.php	(revision 138)
+++ trunk/client/modules/Elezioni/consiglieri.php	(revision 157)
@@ -435,5 +435,5 @@
     $lists[$num_lista]=$voti;
     $groups[($num_gruppo)]+=$voti;
-  }else $validi-=$voti; //maggio 2011: verificare questa sottrazione, non mi convince
+  }//else $validi-=$voti; //maggio 2011: verificare questa sottrazione, non mi convince
 }    
 $descrsind=$desgruppi[$gruppo];
Index: trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- trunk/client/modules/Elezioni/funzioni.php	(revision 138)
+++ trunk/client/modules/Elezioni/funzioni.php	(revision 157)
@@ -493,3 +493,18 @@
 }
 
+# funzione per verifica se esiste il voto disgunto tra sindaco e lista nelle amministrative siciliane
+function isdisgiunto(){
+global $prefix,$dbi,$id_cons,$limite,$fascia,$ops;
+	#voti di lista e di gruppo completamente disgiunti 
+	$result = mysql_query("select infdisgiunto, supdisgiunto from ".$prefix."_ele_conf as t2 left join ".$prefix."_ele_cons_comune as t1 on t1.id_conf=t2.id_conf where id_cons = '$id_cons' ", $dbi);
+	$glsep='';
+	if ($result) {
+		list($infdis,$supdis)=mysql_fetch_row($result);
+		if((($fascia>$limite and $supdis) or ($fascia<$limite and $infdis)) and $ops==3) 
+			$glsep='_lista';
+	}
+return $glsep;
+}
+
+
 ?>
Index: trunk/client/modules/Elezioni/grafici.php
===================================================================
--- trunk/client/modules/Elezioni/grafici.php	(revision 138)
+++ trunk/client/modules/Elezioni/grafici.php	(revision 157)
@@ -399,5 +399,9 @@
 	if ($numero>0){
 		echo "<center><h2>";
-		echo "<b>"._PREFERENZE." "._GRUPPO." $descr_cons </b>";
+		if ($genere!=4 and !$visgralista){
+			echo "<b>"._PREFERENZE." "._GRUPPO." $descr_cons </b>";
+		}else{
+			echo "<b>"._PREFERENZE." "._LISTA." $descr_cons </b>";
+		}
 		echo "<i>- "._SEZSCRU." $numero "._SU." $sezioni </i>";
 		echo "</h2></center>";
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 138)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 157)
@@ -272,5 +272,5 @@
                                 else
                                         if ($votog) $votigl=" (t3.validi_lista),(t3.nulli),(t3.bianchi),(t3.contestati_lista),(t3.voti_nulli_lista)";
-                                        else $votigl=" sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati_lista),sum(t3.voti_nulli_lista)";
+                                        else $votigl=" sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati_lista),sum(t3.voti_nulli_lista+t3.voti_nulli)";
 
 
@@ -444,5 +444,5 @@
 				echo "<input type=\"hidden\" name=\"orvert\" value=\"$orvert\"></input>";
 				echo "<input type=\"hidden\" name=\"min\" value=\"$min\"></input>";					
-			        echo "<input type=\"hidden\" name=\"offset\" value=\"$id_offset\"></input>";
+			        echo "<input type=\"hidden\" name=\"offset\" value=\"$offset\"></input>";
 				echo "<input type=\"hidden\" name=\"minsez\" value=\"$minsez\"></input>";	
 				echo "<input type=\"hidden\" name=\"offsetsez\" value=\"$offsetsez\"></input>";		
@@ -514,7 +514,7 @@
 		$grpercscru=0;
 		if($op=="gruppo_sezione")
-			$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+			$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli+solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
 		elseif($op=="lista_sezione")
-			$resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+			$resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+contestati+voti_nulli+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
 		if (isset($resperc) and $resperc)
 			list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 138)
+++ trunk/client/modules/Elezioni/index.php	(revision 157)
@@ -521,5 +521,5 @@
 
 	####################### inserimento scrutinio in percentuale -- per i gruppi
-		$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+		$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli+solo_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
 		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
 		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
@@ -537,5 +537,5 @@
 	####################### inserimento scrutinio in percentuale -- per le liste
 	if ($genere>2 && $fascia>$limite){
-		$resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+		$resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
 		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
 #		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez in (select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez)  group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
Index: trunk/client/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-en.php	(revision 138)
+++ trunk/client/modules/Elezioni/language/lang-en.php	(revision 157)
@@ -8,4 +8,5 @@
 /************************************************************************/
 global $tipo_cons;
+if(!$tipo_cons)	define("_GRUPPO"," ");
 switch ($tipo_cons){
 	case '':
@@ -23,4 +24,5 @@
 		define("_SOLO_GRUPPO","Ballots to the group only");
 		define("_CONSIGLIO","Provincial Council");
+		define("_ASOLO_GRUPPO","to the President only");
 		break;
 	case 2:
@@ -43,4 +45,5 @@
 		define("_SOLO_GRUPPO","Ballots for candidate Mayor only");
 		define("_CONSIGLIO","City Council");
+		define("_ASOLO_GRUPPO","to the Mayor only");
 		break;
 	case 4:
@@ -255,5 +258,6 @@
 define("_CHIUSA","CLOSED");
 define("_ASOLA_LISTA","to the List");
-define("_ASOLO_GRUPPO","to the Groups only");
+
+define("_SOLO_LISTA","Only List");
 define("_COLLEGIO","district");
 define("_INFO","Information");
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 138)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 157)
@@ -22,5 +22,6 @@
 define("_A","a");
 define("_ASOLA_LISTA","Alle Liste");
-define("_ASOLO_GRUPPO","Ai Soli Gruppi");
+
+define("_SOLO_LISTA","Solo Lista");
 define("_UOMINI","Uomini");
 define("_DONNE","Donne");
@@ -260,9 +261,17 @@
 define("_RICARICA","Ricarica");
 
+if(!$tipo_cons)		
+define("_GRUPPO"," ");
+
+
+
+
+
+
 
 //global $tipo_cons;
 switch ($tipo_cons){
 	case 1:
-		 define("_SCELTA_CIR","Scegli la Circoscrizione");
+		define("_SCELTA_CIR","Scegli la Circoscrizione");
 		define("_CONSULTAZIONE","Consultazione Elezioni Provinciali");
 		define("_GRUPPI","Candidati Presidenti");
@@ -275,4 +284,5 @@
 		define("_VOTI_LISTA","Voti di lista");
 		define("_CONSIGLIO","Consiglio Provinciale");
+		define("_ASOLO_GRUPPO","Solo Presidente");
 		break;
 	case 2:
@@ -297,4 +307,5 @@
 		define("_CONSIGLIO","Consiglio Comunale");
 		define("_VOTI_LISTA","Voti di lista");
+		define("_ASOLO_GRUPPO","Solo Sindaco");
 		break;
         case 4:
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 138)
+++ trunk/client/modules/Elezioni/menu.php	(revision 157)
@@ -26,6 +26,22 @@
        
         // inizio tabella
-	echo "<table  class=\"table-main\"> <tr>";
-	
+	echo "<table  class=\"table-main\"><tr>";
+	echo "<td >
+			    <form id=\"m\" method=\"post\" action=\"modules.php\">
+			    <div><label class=\"blu\" for=\"m\">
+			    <input type=\"hidden\" name=\"name\" value=\"Elezioni\" />
+			    
+			    
+			    <select name=\"op\" class=\"moduloform\" onclick=\"javascript:top.location.href='modules.php?name=Elezioni&amp;op='+this.options[this.options.selectedIndex].value\">";
+
+		
+			    echo "<option value=\"gruppo\" type=\"hidden\" > Home  </option>";
+			    
+			   
+			
+	
+			    echo "</select>$button</label></div></form>
+	</td>";
+
 	/*********************************** 
 		Scelta Comune
@@ -35,4 +51,5 @@
 	{
 	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa<2 group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+		
 	      $rescomu= mysql_query("$sqlcomu",$dbi);
 	      $esiste_multi=mysql_num_rows($rescomu);
Index: trunk/client/modules/Elezioni/rss.php
===================================================================
--- trunk/client/modules/Elezioni/rss.php	(revision 138)
+++ trunk/client/modules/Elezioni/rss.php	(revision 157)
@@ -50,6 +50,6 @@
 
     // format: 2004-08-02T12:15:23-06:00
-    $date = date("Y-m-d\TH:i:s", strtotime($time));
-    $date = $date . $gmtstr;
+    //$date = date("Y-m-d\TH:i:s", strtotime($time));
+    //$date = $date . $gmtstr;
     
     echo "<item>\n";
@@ -65,5 +65,5 @@
     //echo "<guid isPermaLink=\"false\">noreply@ciao.it</guid>\n";
     echo "<dc:subject>".$titolo."</dc:subject>\n";
-    echo "<dc:date>".$date."</dc:date>\n";
+    echo "<dc:date>".$now."</dc:date>\n";
     echo "<dc:creator>Postato da ".$sitename."</dc:creator>\n";
     echo "</item>\n\n";
